Results 1 to 3 of 3

Thread: Collada DOM in Ubuntu 8.10

  1. #1
    the_skal
    Guest

    Collada DOM in Ubuntu 8.10

    Hi, i was using colladaDOM with Ubuntu 8.04 without problems, now i have a new laptop using Ubuntu 8.10, when i try to compile colladaDOM i got this error:

    >>make
    Code :
    In file included from include/dae/daeDatabase.h:18,
                     from src/dae/daeAtomicType.cpp:20:n 
    include/dae.h:195: error: ISO C++ prohíbe la declaración de ‘auto_ptr’ sin tipo

    in english more o less:
    Code :
    ISO C++ forbids of ‘auto_ptr’ without type

    i installed libxml2-dev libpcre3-dev libboost-filesystem-dev

    Someone know how can i fix it? Thanks.

    PD: Sorry for my english.

  2. #2
    kex347
    Guest
    I'm getting the same error. Maybe it has to do with different gcc versions.

    Ubuntu 8.04 used gcc 4.2.4 while
    Ubuntu 8.10 uses gcc 4.3.2

    The english error message is:

    Compiling src/dae/daeAtomicType.cpp to build/linux-1.4/obj/daeAtomicType.o
    In file included from include/dae/daeDatabase.h:18,
    from src/dae/daeAtomicType.cpp:20:
    include/dae.h:195: error: ISO C++ forbids declaration of ‘auto_ptr’ with no type
    include/dae.h:195: error: invalid use of ‘::’
    include/dae.h:195: error: expected ‘;’ before ‘<’ token
    make: *** [build/linux-1.4/obj/daeAtomicType.o] Error 1


    We will investigate this further.

  3. #3
    kex347
    Guest
    It doesn't occur with the trunk version of the dom, so please use that.

    Note that dependencies have changed. You may need to update your build environment.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •